clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions | Variables
ReplaceAutoPtrCheck.cpp File Reference
`#include "ReplaceAutoPtrCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Lex/Preprocessor.h"`
Include dependency graph for ReplaceAutoPtrCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::modernize

## Functions
| clang::tidy::modernize::AST_MATCHER (Expr, isLValue)
| Matches expressions that are lvalues. More...
TypeLocMatcher | clang::tidy::modernize::makeAutoPtrTypeLocMatcher ()
| Matches declarations whose declaration context is the C++ standard library namespace std. More...
DeclarationMatcher | clang::tidy::modernize::makeAutoPtrUsingDeclMatcher ()
| Creates a matcher that finds the using declarations referring to `std::auto_ptr`. More...
StatementMatcher | clang::tidy::modernize::makeTransferOwnershipExprMatcher ()
| Creates a matcher that finds the `std::auto_ptr` copy-ctor and assign-operator expressions. More...
static SourceLocation | clang::tidy::modernize::locateFromTypeLoc (const TypeLoc *AutoPtrTypeLoc, const SourceManager &SM)
| Locates the `auto_ptr` token when it is referred by a `TypeLoc`. More...
static SourceLocation | clang::tidy::modernize::locateFromUsingDecl (const UsingDecl *UsingAutoPtrDecl, const SourceManager &SM)
| Locates the `auto_ptr` token in using declarations. More...
static bool | clang::tidy::modernize::checkTokenIsAutoPtr (SourceLocation TokenStart, const SourceManager &SM, const LangOptions &LO)
| Verifies that the token at `TokenStart` is 'auto_ptr'. More...

## Variables
static const char | clang::tidy::modernize::AutoPtrTokenId [] = "AutoPrTokenId"
static const char | clang::tidy::modernize::AutoPtrOwnershipTransferId [] = "AutoPtrOwnershipTransferId"